Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.events
Class SequenceStartEvent

    java.lang.Object
      org.yaml.snakeyaml.events.Event
          org.yaml.snakeyaml.events.NodeEvent
              org.yaml.snakeyaml.events.CollectionStartEvent
                  org.yaml.snakeyaml.events.SequenceStartEvent

    public final class SequenceStartEvent

extends CollectionStartEvent

Marks the beginning of a sequence node.

This event is followed by the elements contained in the sequence, and a `SequenceEndEvent`.

See Also:
  `SequenceEndEvent`

Nested Class Summary

Nested classes/interfaces inherited from class org.yaml.snakeyaml.events.Event
`Event.ID`

Constructor Summary
`SequenceStartEvent(String anchor, String tag, boolean implicit, Mark startMark, Mark endMark, Boolean flowStyle)`

Method Summary
`boolean` | `is(Event.ID id)`

Methods inherited from class org.yaml.snakeyaml.events.CollectionStartEvent
`getArguments, getFlowStyle, getImplicit, getTag`

Methods inherited from class org.yaml.snakeyaml.events.NodeEvent
`getAnchor`

Methods inherited from class org.yaml.snakeyaml.events.Event
`equals, getEndMark, getStartMark, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SequenceStartEvent

    public SequenceStartEvent(String anchor,
                              String tag,
                              boolean implicit,
                              Mark startMark,
                              Mark endMark,
                              Boolean flowStyle)

Method Detail

### is

    public boolean is(Event.ID id)

  Specified by:
    `is` in class `Event`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.